/* BoundsRectangle.java
 *
 * Jim McBeath, July 16, 1998
 */

package jimmc.treepar;

import java.awt.Rectangle;

/** A class to simplify calculating a bounding box. */
public class BoundsRectangle extends Rectangle {
	/** Create an empty bounds box (everything 0). */
	public BoundsRectangle() {
		super();
	}

	/** Create a copy of a BoundsRectangle. */
	public BoundsRectangle(Rectangle r) {
		super(r);
	}

	/** Add a point to the bounds. */
	public void add(int px, int py) {
		if (px<x) {
			int hx = x + width;
			x = px;
			width = hx - x;
		}
		if (px>x+width)
			width = px - x;

		if (py<y) {
			int hy = y + height;
			y = py;
			height = hy - y;
		}
		if (py>y+height)
			height = py - y;
	}
}

/* end */
